org.eclipse.jgit.api

## Enum CheckoutResult.Status

- java.lang.Object
- - java.lang.Enum<CheckoutResult.Status>
  - - org.eclipse.jgit.api.CheckoutResult.Status

All Implemented Interfaces:
  Serializable, Comparable<CheckoutResult.Status>

Enclosing class:
  CheckoutResult

    public static enum CheckoutResult.Status
    extends Enum<CheckoutResult.Status>

The status

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CONFLICTS` Checkout has not completed because of checkout conflicts
`ERROR` An Exception occurred during checkout
`NONDELETED` Checkout has completed, but some files could not be deleted
`NOT_TRIED` The call() method has not yet been executed
`OK` Checkout completed normally

### Method Summary

All Methods Static Methods Concrete Methods
`static CheckoutResult.Status` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CheckoutResult.Status[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NOT_TRIED

    public static final CheckoutResult.Status NOT_TRIED

The call() method has not yet been executed

#### OK

    public static final CheckoutResult.Status OK

Checkout completed normally

#### CONFLICTS

    public static final CheckoutResult.Status CONFLICTS

Checkout has not completed because of checkout conflicts

#### NONDELETED

    public static final CheckoutResult.Status NONDELETED

Checkout has completed, but some files could not be deleted

#### ERROR

    public static final CheckoutResult.Status ERROR

An Exception occurred during checkout

### Method Detail

#### values

    public static CheckoutResult.Status[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CheckoutResult.Status c : CheckoutResult.Status.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CheckoutResult.Status valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null